package main

import (
	"frostfire.io/dir2opdspse/app/cmd"
	"github.com/urfave/cli/v2"
	"log"
	"mime"
	"os"
)

func main() {
	_ = mime.AddExtensionType(".cbz", "application/x-cbz")

	app := cli.NewApp()
	app.Name = "dir2opdspse"
	app.Usage = "A lightweight OPDS server with OPDS-PS support."
	app.Version = "0.0.1+dev"
	app.Commands = []*cli.Command{
		&cmd.Serve,
	}

	if err := app.Run(os.Args); err != nil {
		log.Fatalf("Failed to start application: %v", err)
	}
}
